---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    ingress.kubernetes.io/ssl-redirect: "true"
    ingress.kubernetes.io/force-hsts: "true"
    ingress.kubernetes.io/hsts-max-age: "315360000"
    ingress.kubernetes.io/hsts-preload: "true"
  labels:
    app: tobru-ch
  name: tobru-ch
  namespace: tobru-ch
spec:
  rules:
  - host: tobru.ch
    http:
      paths:
      - backend:
          serviceName: ghost
          servicePort: 2368
  tls:
  - hosts:
    - tobru.ch
    secretName: tobru-ch-cert
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/redirect-regex: ^https://www.tobru.ch/(.*)
    traefik.ingress.kubernetes.io/redirect-replacement: https://tobru.ch/$1
    ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app: tobru-ch
  name: www-tobru-ch
  namespace: tobru-ch
spec:
  rules:
  - host: www.tobru.ch
    http:
      paths:
      - backend:
          serviceName: ghost
          servicePort: 2368
  tls:
  - hosts:
    - www.tobru.ch
    secretName: www-tobru-ch-cert
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/redirect-regex: ^https://tobrunet.ch/(.*)
    traefik.ingress.kubernetes.io/redirect-replacement: https://tobru.ch/$1
    ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app: tobru-ch
  name: tobrunet-ch
  namespace: tobru-ch
spec:
  rules:
  - host: tobrunet.ch
    http:
      paths:
      - backend:
          serviceName: ghost
          servicePort: 2368
  tls:
  - hosts:
    - tobrunet.ch
    secretName: tobrunet-ch-cert
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/redirect-regex: ^https://www.tobrunet.ch/(.*)
    traefik.ingress.kubernetes.io/redirect-replacement: https://tobru.ch/$1
    ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app: tobru-ch
  name: www-tobrunet-ch
  namespace: tobru-ch
spec:
  rules:
  - host: www.tobrunet.ch
    http:
      paths:
      - backend:
          serviceName: ghost
          servicePort: 2368
  tls:
  - hosts:
    - www.tobrunet.ch
    secretName: www-tobrunet-ch-cert
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/redirect-regex: ^https://hochzeit.tobru.ch/
    traefik.ingress.kubernetes.io/redirect-replacement: https://tobru.ch/hochzeit/
    ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app: tobru-ch
  name: hochzeit-tobru-ch
  namespace: tobru-ch
spec:
  rules:
  - host: hochzeit.tobru.ch
    http:
      paths:
      - backend:
          serviceName: ghost
          servicePort: 2368
  tls:
  - hosts:
    - hochzeit.tobru.ch
    secretName: hochzeit-tobru-ch-cert
